
#ifndef AppManager_H
#define AppManager_H

#include <vector>

#include "Window.h"


void timerIdle(void*);
void timerRedraw(void*);


class AppManager
{

public:


	void addTimeouts(float, float);
	
	void addWindow(Window*);
	
	std::vector<Window*>* getWindowList();
	
	

private:
	
	std::vector<Window*> windowList;


};


#endif

