#ifndef RootNode_H
#define RootNode_H



#include "Node.h"

class RootNode: public Node
{

public:
	RootNode();
	
	
	virtual int cull();
	virtual void draw();
	virtual RTTI_NODE_TYPE getType() const;
	
	
	virtual void doupdate() { }
	virtual void drawBBox() { }
	virtual void userEvent(UserEvent*) { }
	virtual void addTexture(Texture*) { }
	virtual Texture* getTexture() { return NULL;}
	virtual void computeBBox() { }
	virtual BBox* getBBox() { return NULL;}
	virtual void addGeometry(Geometry*) { }
	virtual Geometry* getGeometry() { return NULL;}
	virtual void print() { }



};



#endif

