
#ifndef SceneGraph_H
#define SceneGraph_H

#include "Node.h"

class SceneGraph
{


public:
	SceneGraph();

	

	void drawScene(Node*);
	void updateScene(Node*);
	void eventScene(Node*, UserEvent*);
	
	void setRootNode(Node*);
	Node* getRootNode();
	
	void setPivotNode(Node*);
	Node* getPivotNode();
	

	
	void draw();
	void update();
	void event(UserEvent*);

	int* getpdrawn() { return &pdrawn; }
	int* getpupdated() { return &pupdated; }
	
private:


	


	int pdrawn;
	int pupdated;

	

	Node *pivotNode;
	Node *rootNode;
	

	
};

#endif


