
#ifndef Matrix_H
#define Matrix_H

#include <stdio.h>
#include <math.h>

#define PI 3.14159265f

#define DEG(r) (180.0f * (r) / PI)
#define RAD(d) (PI * (d) / 180.0f)

                                        
#define A 10
#define B 11
#define C 12
#define D 13
#define E 14
#define F 15


class Matrix
{


public:
	
	static void print(float[16]);
	
	static void load_identity(float[16]);
	
	static void dump_matrix(float[16], const float[16]);
	
	static void location(float[16], float, float, float);
	static void scale(float[16], float, float, float);
	static void rotation(float[16], float, float, float, float);
	
	static void do_inverse(float[16], const float[16]);
	static void do_multiply(float[16], const float[16], const float[16]);

};


#endif