
#ifndef DISPLAYCFG_H
#define DISPLAYCFG_H

#ifndef WIN32
#include "unistd.h"
#endif


#include <vector>



struct CameraEntity
{
	
	float rectangle[4];
	float offset[2];
};

struct WindowEntity
{
	std::vector<CameraEntity*> cList;	
	int location[4];
	int mapping[2];

};

struct ClusterNode
{
	char hostname[32];
	std::vector<WindowEntity*> wList;

};

struct Cluster
{

	std::vector<ClusterNode*> nList;
	float mullions[2];
	int tilemap[2];
};

class TileConfig
{


public:

	int readDisplayCfg(char*);

	ClusterNode* getThisNodeCfg();

private:
	
	void cfgNode();

	Cluster *cluster;
	ClusterNode *thisNode;	
};

#endif

