
#ifndef Basics_H
#define Basics_H



enum DIRECTION
{
	NORTH, 			//0
	SOUTH, 			//1
	EAST,  			//2
	WEST,  			//3
	NORTHEAST,  	//4
	NORTHWEST,  	//5
	SOUTHEAST,  	//6
	SOUTHWEST,   	//7
	NOWAY 			//8
};





class Point
{

public:
	Point()
	{
	
	}
	
	Point(float x, float y)
	{
		p[0] = x;
		p[1] = y;
	}
	
	void set(float x, float y)
	{
		p[0] = x;
		p[1] = y;
	
	}
	
	float* get()
	{
		return p;
	}
	
private:
	
	float p[2];
};


class Point3
{

public:
	Point3()
	{
	
	}
	
	Point3(float x, float y, float z)
	{
		p[0] = x;
		p[1] = y;
		p[2] = z;
	}
	
	void set(float x, float y, float z)
	{
		p[0] = x;
		p[1] = y;
		p[2] = z;
	
	}
	
	float* get()
	{
		return p;
	}
	
private:
	
	float p[3];
};


class Color
{

public:
	Color(float r, float g, float b)
	{
		c[0] = r;
		c[1] = g;
		c[2] = b;
	}

	float* get()
	{
		return c;
	}

private:
	
	float c[3];
};

#endif

