
#ifndef Frustum_H
#define Frustum_H

#include <stdio.h>
#include <math.h>

#include "Math.h"
#include "OpenGL.h"


#define DOT3(v, w) ((v)[0] * (w)[0] + \
                    (v)[1] * (w)[1] + \
                    (v)[2] * (w)[2])
#define DOT4(v, w) ((v)[0] * (w)[0] + \
                    (v)[1] * (w)[1] + \
                    (v)[2] * (w)[2] + \
                    (v)[3] * (w)[3])



class Frustum 
{


public:

	static void get_frustum(float[6][4]);
	static void print(float[6][4]);
	static void get_view_point(float[4]);
	static int test_point(float[6][4], const float[2]);
	static int test_frustum(float[6][4], const float[6]);
	static int test_plane(const float[4], const float[6]);
};

#endif

