#ifndef Math_H
#define Math_H

#include "../src-math/Matrix.h"
#include "../src-math/Vector.h"



#define ABS(x) (((x)>0)?(x):-(x))
#define MAX(a,b) (((a)>(b))?(a):(b))
#define MIN(a,b) (((a)<(b))?(a):(b))
#define rrand(a) (rand()%a)

#define ToRadian( degree ) ((degree) * (PI / 180.0f))
#define ToDegree( radian ) ((radian) * (180.0f / PI))


#endif

