
#include "Shapes.h"


void Shapes::plane(Geometry* geom, Color* color)
{

	
	
	geom->set("plane", color, GL_POLYGON);
	
	std::vector<Point*> *vertices = new std::vector<Point*>;
	std::vector<Point*> *tcoords = new std::vector<Point*>;
	
	
	Point *p0 = new Point(0.0, 0.0);
	Point *p1 = new Point(1.0, 0.0);
	Point *p2 = new Point(1.0, 1.0);
	Point *p3 = new Point(0.0, 1.0);
	
	vertices->push_back(p0);
	vertices->push_back(p1);
	vertices->push_back(p2);
	vertices->push_back(p3);
	tcoords->push_back(p0);
	tcoords->push_back(p1);
	tcoords->push_back(p2);
	tcoords->push_back(p3);
	
	geom->setVertices(vertices);
	geom->setTCoords(tcoords);

}

void Shapes::arrow(Geometry* geom, Color *color)
{

	
	
	geom->set("arrow", color, GL_LINES);
	
	std::vector<Point*> *vertices = new std::vector<Point*>;

	
	
	Point *p0 = new Point(0.0, -0.5);
	Point *p1 = new Point(0.0, 0.5);
	Point *p2 = new Point(0.0, 0.5);
	Point *p3 = new Point(0.15, 0.25);
	Point *p4 = new Point(0.0, 0.5);
	Point *p5 = new Point(-0.15, 0.25);

	
	vertices->push_back(p0);
	vertices->push_back(p1);
	vertices->push_back(p2);
	vertices->push_back(p3);
	vertices->push_back(p4);
	vertices->push_back(p5);


	
	geom->setVertices(vertices);
	
	geom->setDepth(1.0f);

}

