
#ifndef Texture_H
#define Texture_H


#include "OpenGL.h"
#include "Image.h"




class Texture
{


public:
	Texture(char*, IMAGE_TYPE);

	void load();
	
	GLuint* getId();
	bool isLoaded();
	
	BasicImage* getSource();
	
	
	int* getInfo();
	
private:

	char* imageFileName;
	BasicImage *data;
	bool loaded;
	GLuint texId;
	
	
	IMAGE_TYPE imageFormat;
	
	int imageInfo[3];
};

#endif


