

#ifndef UserEvent_H
#define UserEvent_H


#define EVENTDATA_BUFFER_SIZE 10

enum USER_EVENT
{
	MOUSE_MOVE,
	MOUSE_DRAG,
	MOUSE_CLICK,
	MOUSE_WHEEL
	
};


class UserEvent
{

public:

	UserEvent();
	UserEvent(USER_EVENT);
	
	USER_EVENT getEventType();
	float* getEventData();

private:

	USER_EVENT eventType;
	
	float eventData[EVENTDATA_BUFFER_SIZE];
};

#endif


