
#ifndef BASICIMAGE_H
#define BASICIMAGE_H

#include <string>
#include <stdlib.h>


enum IMAGE_TYPE
{
	IMAGE_JPEG,
	IMAGE_PNG
};


class BasicImage
{



public:


	virtual int read(char*)=0;
	virtual int write(char*, int)=0;

	virtual unsigned char* getPixelBuffer()=0;
	 
	virtual int getWidth()=0;
	virtual int getHeight()=0;
	virtual int getComponents()=0;
	
	virtual void freeBuffer()=0;
	
	virtual char* getSourceFile()=0;

	static int getSubImage(unsigned char*, int, int,
				unsigned char*, int, int, int, int, int, float);

	virtual int getImageType()=0;
};

#endif

