#ifndef IMAGEJPEG_H
#define IMAGEJPEG_H

#include <string.h>
#include <stdio.h>
#include <setjmp.h>


#include "Globals.h"

#include "BasicImage.h"




extern "C"
{
    #include "jpeglib.h"
};



class ImageJPEG: public BasicImage
{


public:

	ImageJPEG();
	~ImageJPEG();

	virtual int read(char*);
	virtual int write(char*, int);
	virtual unsigned char* getPixelBuffer();
	virtual int getWidth();
	virtual int getHeight();
	virtual int getComponents();
	virtual void freeBuffer();
	virtual char* getSourceFile();
	virtual int getImageType();

private:
	char* sourceFile;
	unsigned char* buffer;

	int w;
	int h;
	int c;
	
};


#endif
