#ifndef IMAGEPNG_H
#define IMAGEPNG_H

#include <string.h>
#include <stdio.h>
#include <setjmp.h>


#include "Globals.h"

#include "BasicImage.h"

#include "png.h"





class ImagePNG: public BasicImage
{


public:

	ImagePNG();
	~ImagePNG();

	virtual int read(char*);
	virtual int write(char*, int); // not implemented
	virtual unsigned char* getPixelBuffer();
	virtual int getWidth();
	virtual int getHeight();
	virtual int getComponents();
	virtual void freeBuffer();
	virtual char* getSourceFile();
	virtual int getImageType();
	
private:
	char* sourceFile;
	unsigned char* buffer;

	int w;
	int h;
	int c;
	
};


#endif
